
Foreman - Bug #15707

Add AWS Govcloud region to compute resource provider list 

07/15/2016 11:39 AM - Bryan Kearney

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Compute resources - EC2   

Target version:    

Difficulty:  Fixed in Releases: 1.20.0

Triaged: No Found in Releases: 1.20.0

Bugzilla link: 1356517 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6068

  

Description

Please add this provider.

Associated revisions

Revision a6cf3a53 - 09/18/2018 02:35 PM - Marek Hulán

Fixes #15707 - AWS support for GovCloud

History

#1 - 07/15/2016 11:40 AM - Bryan Kearney

- Bugzilla link set to 1356517

#2 - 07/18/2016 03:08 AM - Dominic Cleal

- Status changed from New to Need more information

Is us-gov-west-1 not automatically listed as a region? Current versions of Foreman/fog should accept it.

#3 - 01/09/2017 02:42 AM - Shlomi Zadok

It is supported by Fog & Foreman.

Please not that it is dependent of the user settings.

#4 - 03/06/2017 05:43 PM - Bryan Kearney

Shlomi, do you know what setting the user needs? Downstream says the user can see 

https://console.amazonaws-us-gov.com/console/home?region=us-gov-west-1

#5 - 05/10/2017 07:13 AM - Lukas Zapletal

- Status changed from Need more information to Resolved

This is indeed supported in latest stable version of Foreman, this has been cloned from bugzilla which is a request for backport which is unlikely to

happen due to complexity of the hardcoded code in fog-aws, the only viable choice is to rebase fog/fog-aws downstream (which can be problematic

too).

#6 - 09/14/2018 11:01 AM - Marek Hulán

- Status changed from Resolved to Assigned

- Assignee set to Marek Hulán

- Found in Releases 1.20.0 added

This is still an issue, turns out govcloud region must be set explicitly before we ask for available regions. A simple checkbox in the form will do.

#7 - 09/14/2018 11:09 AM - The Foreman Bot
https://console.amazonaws-us-gov.com/console/home?region=us-gov-west-1


- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6068 added

#8 - 09/18/2018 03:01 PM - Marek Hulán

- Status changed from Ready For Testing to Closed

Applied in changeset a6cf3a531b524d85c94fb0acefa3bb72b5e7574a.

#9 - 10/15/2018 09:34 AM - Tomer Brisker

- Fixed in Releases 1.20.0 added
